REST API Only Exposes a Limited Sub-Section of Issues
2010-09-06 22:24 - Jeremy Walker

Status: Closed Start date: 2010-09-06
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 1.0.1
Description

This likely is me just doing something stupid, but no matter what I try | can't seem to get anything even close to the full issue list out
of the REST API. Whether | use the API (Issue.find(:all)) or just go to the URLs directly in my browser (ourRedmine.com/issues.xml),
all | get back is 25 issues. This is hardly ":all" :-(' | thought this might be a pagination issue, so | tried (in the browser)
"@ourRedmine.com/issues.xml?page=2", but | still get the same results.

So, either I'm doing something stupid (again, very likely), or whoever created the REST API didn't bother to test a Redmine
installation with more than 25 issues ...

History

#1 - 2010-09-06 22:25 - Jeremy Walker

This is probably obvious, but just to clarify, when | said "user the API", | meant "ActiveResource".

#2 - 2010-09-06 22:25 - Jeremy Walker

gah, use not user; | wish you could edit on here ...

#3 - 2010-09-07 23:11 - Jeremy Walker
| have found that by doing:

Issue.find(:all, :params=>{:per_page => 200})

I can now get 200 issues. Unfortunately however, this is not a true "limit" parameter, as | can't do (for instance):

Issue.find(:all, :params=>{:per_page => 300})

So, | still don't have a way to use the webservice to actually, y'know, get our issues, but at least now | can get the first 200 of them rather than the first
25.

#4 - 2010-09-07 23:26 - Jeremy Walker

- Status changed from New to Resolved

Inexplicably, the page parameter started working today; | have no idea why (I swear it wasn't working when | filed this issue). Closing issue.

#5 - 2010-09-08 08:12 - Felix Schéfer

- Status changed from Resolved to Closed
